@echo off
set destination_folder=%~dp0
set Website_folder=E:\All Version Update\Vidyalaya_Version\Website_2024_10_01\WebsiteMini
set Junction_folder="E:\Inetpub\vhosts\onlinevidyalaya.net\Website_2024_10_01"
set folder1=App_LocalResources
set folder2=App_Themes
set folder3=ckeditor
set folder4=Images
set folder5=Integration
set folder6=JavaScript
set folder7=Page
set folder8=Pages
set folder9=RDLCReports
set folder10=Services
set folder11=UserControls
set folder12=bin
set folder13=ContentTemplates
set folder14=Import
set folder15=Images
::pause
rmdir /s /q "%destination_folder%\%folder1%"
rmdir /s /q "%destination_folder%\%folder2%"
rmdir /s /q "%destination_folder%\%folder3%"
rmdir /s /q "%destination_folder%\%folder4%"
rmdir /s /q "%destination_folder%\%folder5%"
rmdir /s /q "%destination_folder%\%folder6%"
rmdir /s /q "%destination_folder%\%folder7%"
rmdir /s /q "%destination_folder%\%folder8%"
rmdir /s /q "%destination_folder%\%folder9%"
rmdir /s /q "%destination_folder%\%folder10%"
rmdir /s /q "%destination_folder%\%folder11%"
rmdir /s /q "%destination_folder%\%folder12%"
rmdir /s /q "%destination_folder%%folder13%\%folder14%"
rmdir /s /q "%destination_folder%%folder13%\%folder15%"
::pause
mklink /j "%destination_folder%\%folder1%" "%Junction_folder%\%folder1%"
mklink /j "%destination_folder%\%folder2%" "%Junction_folder%\%folder2%"
mklink /j "%destination_folder%\%folder3%" "%Junction_folder%\%folder3%"
mklink /j "%destination_folder%\%folder4%" "%Junction_folder%\%folder4%"
mklink /j "%destination_folder%\%folder5%" "%Junction_folder%\%folder5%"
mklink /j "%destination_folder%\%folder6%" "%Junction_folder%\%folder6%"
mklink /j "%destination_folder%\%folder7%" "%Junction_folder%\%folder7%"
mklink /j "%destination_folder%\%folder8%" "%Junction_folder%\%folder8%"
mklink /j "%destination_folder%\%folder9%" "%Junction_folder%\%folder9%"
mklink /j "%destination_folder%\%folder10%" "%Junction_folder%\%folder10%"
mklink /j "%destination_folder%\%folder11%" "%Junction_folder%\%folder11%"
::pause
xcopy /s /i /y "%Website_folder%" "%destination_folder%"
::pause